Subject: Re: [PATCH v2] rev-list: clarify git-log default date format

From: Junio C Hamano <[email-masked]>
Date: Wed, 15 Feb 2023 18:58:33 -0800

Jeff King <[email-masked]> writes:

> On Wed, Feb 15, 2023 at 04:42:25PM -0800, Junio C Hamano wrote:
>
>> The documentation mistakenly said that the default format was
>> similar to RFC 2822 format and tried to specify it by enumerating
>> differences, which had two problems:
>> 
>>  * There are some more differences from the 2822 format that are not
>>    mentioned; worse yet
>> 
>>  * The default format is not modeled after RFC 2822 format at all.
>>    As can be seen in f80cd783 (date.c: add "show_date()" function.,
>>    2005-05-06), it is a derivative of ctime(3) format.
>> 
>> Stop saying that it is similar to RFC 2822, and rewrite the
>> description to explain the format without requiring the reader to
>> know any other format.
>> 
>> Signed-off-by: Junio C Hamano <[email-masked]>
>> ---
>>  * The discussion stalled and the topic was left in limbo for a few
>>    weeks.  Let's attempt to reboot it instead of silently waiting
>>    for a rerolled version from the original author.
>
> Thanks for keeping this moving. The proposed text looks great to me.

Thanks, but the formatting is broken, and needs a line with "--" on
it at the end.  What I will queue on 'seen' already has the
correction.